Subject: [DNSOP] URI text for attrleaf? (was: Re: New Version Notification for draft-ietf-dnsop-attrleaf-06.txt)

From: Dave Crocker <[email-masked]>
Date: Fri, 30 Mar 2018 11:38:42 -0700

Folks,

With the latest round of tweaks, I think the next version of the draft 
will be essentially complete.

Except for needing to cover URI RRsets (RFC7553).

Unfortunately I'm stumped and am not sure what text to include to handle 
it.  Help!

The 'global' (right-most) label appears to be permitted from two 
different sources, one is the same as for SRV (_proto) but the other is 
from based on an "ENUM Service Parameter", although I can't find am 
explicit definition of what that means.  (Nor of "ENUMService 
Parameter".) I assume it is meant to draw from

https://www.iana.org/assignments/enum-services/enum-services.xhtml#enum-services-1

but I can't figure exactly how, nor how to resolve drawing the global 
value from two independent namespaces...

The relevant RFC7553 text is:

> 4.1.  Owner Name, Class, and Type
> 
>    The URI owner name is subject to special conventions.
> 
>    Just like the SRV RR [RFC2782], the URI RR has service information
>    encoded in its owner name.  In order to encode the service for a
>    specific owner name, one uses service parameters.  Valid service
>    parameters are those registered by IANA in the "Service Name and
>    Transport Protocol Port Number Registry" [RFC6335] or as "Enumservice
>    Registrations [RFC6117].  The Enumservice Registration parameters are
>    reversed (i.e., subtype(s) before type), prepended with an underscore
>    (_), and prepended to the owner name in separate labels.  The
>    underscore is prepended to the service parameters to avoid collisions
>    with DNS labels that occur in nature, and the order is reversed to
>    make it possible to do delegations, if needed, to different zones
>    (and therefore providers of DNS).

The easy part of this is to add entries to the global attrleaf trable for:

>                <c>URI</c>
>                <c>_dccp</c>
>                <c>
>                   <xref target="RFC7553" />
>                </c>
>                <!--  -->
> 
>                <c>URI</c>
>                <c>_sctp</c>
>                <c>
>                   <xref target="RFC7553" />
>                </c>
>                <!--  -->
> 
>                <c>URI</c>
>                <c>_tcp</c>
>                <c>
>                   <xref target="RFC7553" /></c>
>                <!--  -->
> 
>                <c>URI</c>
>                <c>_udp</c>
>                <c>
>                   <xref target="RFC7553" />
>                </c>
>                <!--  -->

But this ignores handling names from enumservice.

Thoughts?  Suggestion?  Text?

d/
-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net

---

From: "John R. Levine" <[email-masked]>
Date: 31 Mar 2018 12:08:29 -0400

On Fri, 30 Mar 2018, Dave Crocker wrote:
> what that means.  (Nor of "ENUMService Parameter".) I assume it is meant to 
> draw from
>

Agreed.

> but I can't figure exactly how, nor how to resolve drawing the global value 
> from two independent namespaces...

> Thoughts?  Suggestion?  Text?

Add URI entries for all of the enumservices types, _acct, _email, _ems, 
_fax, _ft, _h323, _iax, _ical-access, _ical-sched, _ifax, _im, _mms, 
_pres, _pstn, _sip, _sms, _unifmsg, _vcard, _videomsg, _voice, _voicemsg, 
_vpim, _web, _xmpp that point to RFC 7553.

This has the hypothetical possibility that someone might define a 
transport with a name the same as an enumservice type, but I think we're 
into "don't do that" territory.

Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Please consider the environment before reading this e-mail. https://jl.ly

---

From: Dave Crocker <[email-masked]>
Date: Sat, 31 Mar 2018 09:32:03 -0700

On 3/31/2018 9:08 AM, John R. Levine wrote:
> _pres, _pstn, _sip, _sms, _unifmsg, _vcard, _videomsg, _voice, 
> _voicemsg, _vpim, _web, _xmpp that point to RFC 7553.
> 

That's simple and reasonable, but is it sufficient?

Would some other folk comment, just to establish a wg tone on doing this?

d/